<?php 

$newsdbfilename="engine/newsdb.php";

$data=array_reverse(file($newsdbfilename));
$allnews=count($data);
if ($allnews>=1) {
$datas=unserialize(array_shift($data));
$head=$datas['head'];
$mess=$datas['mess'];
$pubdate=$datas['pubdate'];
if (strlen($head)>40) {$head="";}
if (strlen($mess)>100) {$mess=substr($mess, 0, 100);}
$lastnew="<font color=\"red\">$pubdate</font>, <b>$head</b><p><i>$mess...</i></p><div align=\"center\"><a href=\"../news-$allnews.html\">читать далее</a> | <a href=\"../news.html\">все новости</a></div>";
print "$lastnew";
} else {print("<center><font color=\"red\" size=\"2\">Записей нет!</font></center>");}

?>